EDIT - bug #7073

add extension to a name does not result in a dirty state
11/08/2017 02:47 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.12

Severity: critical Found in Version:

Description

adding an extension to name does not result in a dirty state and therefore can not be saved. this is the case only for the first time,
clicking at a synonym in name editor and go back to the accepted taxon and its name, the dirty flag is set correctly.

Also the details view is empty, when clicking on adding supplemental data.

Associated revisions

Revision 8e5c42bf - 12/12/2017 12:34 PM - Katja Luther

ref #7073: keep the details view when clicking on supplemental data

Revision eaef7aa9 - 12/13/2017 10:25 AM - Katja Luther

ref #7073: keep the details view when clicking on supplemental data

Revision 444fc283 - 12/18/2017 01:19 PM - Katja Luther
ref #7073: try to avoid widget is disposed exception

Revision e9fd8b21 - 12/19/2017 12:31 PM - Katja Luther
ref #7073: try to avoid widget is disposed exception

History

#1 - 12/05/2017 02:02 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#2 - 12/12/2017 08:35 AM - Katja Luther
- Description updated

- Assignee changed from Patrick Plitzner to Katja Luther

#3 - 12/12/2017 11:16 AM - Katja Luther

- Description updated

#4 - 12/12/2017 12:36 PM - Katja Luther

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

now the details view is not cleared, when clicking on supplemental data part, this seems to fix the missing dirty flag, too.
Please review, whether the behaviour is always like expected.

#5 - 12/12/2017 12:37 PM - Katja Luther
- % Done changed from 0 to 50

#6 - 12/18/2017 12:54 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Severity changed from normal to critical
when testing | got a recursive (!) widget is disposed exception:

login : admin
editor version : 4.13.0.201712172346
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 4.7.0.0.201710040000
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.eclipse.ed4.core.di.InjectionException: org.eclipse.swt.SWIException: Widget is disposed
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
at org.eclipse.ed.core.internal.contexts.ContextObjectSupplier$ContextInjectionlListener.update (ContextObje
ctSupplier.java:90)
at org.eclipse.ed.core.internal.contexts.TrackableComputationExt.update (TrackableComputationExt.java:111)
at org.eclipse.ed.core.internal.contexts.EclipseContext.processScheduled(EclipseContext.java:344)
at org.eclipse.ed.core.internal.contexts.EclipseContext.set (EclipseContext. java:359)
at org.eclipse.ed.core.internal.contexts.EclipseContext.activate (EclipseContext.java:664)
at org.eclipse.ed.ui.internal.workbench.swt.ShellActivationListener$2.run(ShellActivationListener.java:124

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)

at org.eclipse.ed4.ui.internal.workbench.swt.ShellActivationListener.activate (ShellActivationListener. java:
120)

at org.eclipse.ed.ui.internal.workbench.swt.ShellActivationListener.handleEvent (ShellActivationListener. ja
va:74)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.filterEvent (Display.java:1270)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1078)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1103)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1088)

at org.eclipse.swt.widgets.Decorations.WM_ACTIVATE (Decorations.java:1697)

at org.eclipse.swt.widgets.Shell .WM_ACTIVATE (Shell.java:2277)

at org.eclipse.swt.widgets.Control.windowProc (Control. java:4796)

at org.eclipse.swt.widgets.Canvas.windowProc (Canvas.java:359)

at org.eclipse.swt.widgets.Decorations.windowProc (Decorations.java:1656)

at org.eclipse.swt.widgets.Shell.windowProc (Shell. java:2199)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:5110)

at org.eclipse.swt.internal.win32.0S.BringWindowToTop (Native Method)

at org.eclipse.swt.widgets.Decorations.bringToTop (Decorations. java:231)

at org.eclipse.swt.widgets.Shell.open (Shell. java:1270)

at org.eclipse.jface.window.Window.open (Window. java:790)

at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)

at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:279)

at org.eclipse.swt.widgets.RunnableLock.run (RunnablelLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse. jface.window.Window.open (Window. java:794)

at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)

at eu.etaxonomy.taxeditor.model.MessagingUtils$1l.run (MessagingUtils. java:279)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse.jface.window.Window.open (Window. java:794)

at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)

at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils.java:279)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse.jface.window.Window.open (Window. java:794)

at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)

at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:279)

at org.eclipse.swt.widgets.RunnableLock.run (RunnablelLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse. jface.window.Window.open (Window. java:794)

at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)

at eu.etaxonomy.taxeditor.model.MessagingUtils$1l.run (MessagingUtils. java:279)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)
at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)

at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:279)

at org.eclipse.swt.widgets.RunnableLock.run (RunnablelLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse. jface.window.Window.open (Window. java:794)

at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)

at eu.etaxonomy.taxeditor.model.MessagingUtils$1l.run (MessagingUtils. java:279)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse. jface.window.Window.open (Window. java:794)

at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)

at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils.java:279)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse.jface.window.Window.open (Window. java:794)

at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)

at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:279)

at org.eclipse.swt.widgets.RunnableLock.run (RunnablelLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse. jface.window.Window.open (Window. java:794)

at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)

at eu.etaxonomy.taxeditor.model.MessagingUtils$1l.run (MessagingUtils. java:279)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine.java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main.java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: org.eclipse.swt.SWTException: Widget is disposed

at org.eclipse.swt.SWT.error (SWT. java:4533)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.SWT.error (SWT. java:4419)

at org.eclipse.swt.widgets.Widget.error (Widget.java:482)

at org.eclipse.swt.widgets.Widget.checkWidget (Widget.java:354)

at org.eclipse.swt.widgets.Control.setEnabled (Control. java:3410)

at org.eclipse.ui.forms.widgets.ExpandableComposite.setEnabled (ExpandableComposite. java:782)

at eu.etaxonomy.taxeditor.view.ed4.AbstractCdmEditorPartE4.showEmptyPage (AbstractCdmEditorPartE4. java:225)

at eu.etaxonomy.taxeditor.view.ed.supplementaldata.SupplementalDataPartE4.showEmptyPage (SupplementalDataPa
rtE4.java:126)

at eu.etaxonomy.taxeditor.view.e4.AbstractCdmEditorPartE4.selectionChanged (AbstractCdmEditorPartE4. java:13
0)

at sun.reflect.GeneratedMethodAccessor26.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse.e4d.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
420 more

#7 - 12/18/2017 12:55 PM - Andreas Miuller

Also | could not reproduce the "dirty" issue neither in 4.12 nor in 4.13. The details view issue seems to work now but therefore the widget is disposed.

#8 - 12/18/2017 12:55 PM - Andreas Miuller

- Assignee changed from Andreas Miiller to Katja Luther

#9 - 12/18/2017 01:29 PM - Katja Luther

- Status changed from Feedback to Resolved

| added another check for disposed control, hopefully this catches the exception. | could not reproduce the exception anymore

#10 - 12/19/2017 11:48 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- % Done changed from 50 to 100

Katja Luther wrote:

| added another check for disposed control, hopefully this catches the exception. | could not reproduce the exception anymore

OK, I also can not reproduce the exception anymore, so | think we can close the ticket. Did the latest fix go into 4.12 (it should)? Then we should
change the target version.

#11 - 01/08/2018 10:32 AM - Katja Luther
- Status changed from Feedback to Closed

- Target version changed from Release 4.13 to Release 4.12
